com.tibco.tibjms.admin

## Class State

- java.lang.Object
- - com.tibco.tibjms.admin.State

-     public class State
      extends java.lang.Object

  This class represents the FT state for a TIBCO Enterprise Message Service server.
  Since:
    EMS 8.1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SERVER_COMPSTATE_PAUSED` This flag indicates that the server is currently paused, waiting to determine the correct action after the failure of its peer.
    `static int` | `SERVER_COMPSTATE_REPLICATING` This flag indicates that the server is currently replicating incoming data with its peer (applies to a server either in active or standby state, in the EMS Appliance only).
    `static int` | `SERVER_COMPSTATE_STANDALONE` This flag indicates that the server is currently running standalone (applies to a server in active state, in the EMS Appliance only).
    `static int` | `SERVER_COMPSTATE_SYNCHRONIZING` This flag indicates that the server is currently synchronizing data with its peer (applies to a server either in active or standby state, in the EMS Appliance only).
    `static int` | `SERVER_COMPSTATE_WAIT_FOR_PEER` This flag indicates that the server is currently waiting for its peer to come up (applies to the EMS Appliance only).
    `static int` | `SERVER_STATE_ACTIVE` This value indicates that the server is currently in active state.
    `static int` | `SERVER_STATE_ACTIVE_PAUSED` This value indicates that the server is currently in active state and is presently determining the correct action in reaction to failure of the standby server.
    `static int` | `SERVER_STATE_ACTIVE_REPLICATING` This value indicates that the server is currently in active state and is presently replicating incoming data to the standby server.
    `static int` | `SERVER_STATE_ACTIVE_STANDALONE` This value indicates that the server is currently in standalone active state.
    `static int` | `SERVER_STATE_ACTIVE_SYNCHRONIZING` This value indicates that the server is currently in active state and is presently synchronizing data to the standby server.
    `static int` | `SERVER_STATE_STANDBY` This value indicates that the server is currently in standby state.
    `static int` | `SERVER_STATE_STANDBY_PAUSED` This value indicates that the server is currently in standby state and is presently determining the correct action in reaction to failure of the active server.
    `static int` | `SERVER_STATE_STANDBY_REPLICATING` This value indicates that the server is currently in standby state and is presently replicating incoming data from the active server.
    `static int` | `SERVER_STATE_STANDBY_SYNCHRONIZING` This value indicates that the server is currently in standby state and is presently synchronizing data from the active server.
    `static int` | `SERVER_STATE_WAIT_FOR_PEER` This value indicates that the server is currently waiting for its peer to come up.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get()` Get the current state of the server. In classic FT mode, can return one of the constants: SERVER_STATE_STANDBY - standby server SERVER_STATE_ACTIVE - active server In the EMS Appliance, can return one of the above two constants, augmented with complementary flags: SERVER_COMPSTATE_WAIT_FOR_PEER - the server is waiting for its peer to come up SERVER_COMPSTATE_SYNCHRONIZING - the server is synchronizing with its peer SERVER_COMPSTATE_REPLICATING - the server is replicating with its peer SERVER_COMPSTATE_PAUSED - the server is paused SERVER_COMPSTATE_STANDALONE - the server is running standalone In addition to the two server states repeated below, the following state values are provided as a convenience that can be used instead of checking against individual flags: SERVER_STATE_STANDBY - standby server SERVER_STATE_ACTIVE - active server SERVER_STATE_WAIT_FOR_PEER - server waiting for its peer to come up SERVER_STATE_STANDBY_SYNCHRONIZING - standby server synchronizing SERVER_STATE_STANDBY_REPLICATING - standby server replicating SERVER_STATE_STANDBY_PAUSED - standby server paused SERVER_STATE_ACTIVE_SYNCHRONIZING - active server synchronizing SERVER_STATE_ACTIVE_REPLICATING - active server replicating SERVER_STATE_ACTIVE_PAUSED - active server paused SERVER_STATE_ACTIVE_STANDALONE - standalone active server
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SERVER_STATE_STANDBY

          public static final int SERVER_STATE_STANDBY

      This value indicates that the server is currently in standby state.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_ACTIVE

          public static final int SERVER_STATE_ACTIVE

      This value indicates that the server is currently in active state.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_COMPSTATE_WAIT_FOR_PEER

          public static final int SERVER_COMPSTATE_WAIT_FOR_PEER

      This flag indicates that the server is currently waiting for its peer to come up (applies to the EMS Appliance only).
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_COMPSTATE_SYNCHRONIZING

          public static final int SERVER_COMPSTATE_SYNCHRONIZING

      This flag indicates that the server is currently synchronizing data with its peer (applies to a server either in active or standby state, in the EMS Appliance only).
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_COMPSTATE_REPLICATING

          public static final int SERVER_COMPSTATE_REPLICATING

      This flag indicates that the server is currently replicating incoming data with its peer (applies to a server either in active or standby state, in the EMS Appliance only).
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_COMPSTATE_PAUSED

          public static final int SERVER_COMPSTATE_PAUSED

      This flag indicates that the server is currently paused, waiting to determine the correct action after the failure of its peer.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_COMPSTATE_STANDALONE

          public static final int SERVER_COMPSTATE_STANDALONE

      This flag indicates that the server is currently running standalone (applies to a server in active state, in the EMS Appliance only).
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_WAIT_FOR_PEER

          public static final int SERVER_STATE_WAIT_FOR_PEER

      This value indicates that the server is currently waiting for its peer to come up.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_STANDBY_SYNCHRONIZING

          public static final int SERVER_STATE_STANDBY_SYNCHRONIZING

      This value indicates that the server is currently in standby state and is presently synchronizing data from the active server.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_STANDBY_REPLICATING

          public static final int SERVER_STATE_STANDBY_REPLICATING

      This value indicates that the server is currently in standby state and is presently replicating incoming data from the active server.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_STANDBY_PAUSED

          public static final int SERVER_STATE_STANDBY_PAUSED

      This value indicates that the server is currently in standby state and is presently determining the correct action in reaction to failure of the active server.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_ACTIVE_SYNCHRONIZING

          public static final int SERVER_STATE_ACTIVE_SYNCHRONIZING

      This value indicates that the server is currently in active state and is presently synchronizing data to the standby server.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_ACTIVE_REPLICATING

          public static final int SERVER_STATE_ACTIVE_REPLICATING

      This value indicates that the server is currently in active state and is presently replicating incoming data to the standby server.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_ACTIVE_PAUSED

          public static final int SERVER_STATE_ACTIVE_PAUSED

      This value indicates that the server is currently in active state and is presently determining the correct action in reaction to failure of the standby server.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

    - #### SERVER_STATE_ACTIVE_STANDALONE

          public static final int SERVER_STATE_ACTIVE_STANDALONE

      This value indicates that the server is currently in standalone active state.
      Since:
        EMS 8.1.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public int get()

      Get the current state of the server.
      In classic FT mode, can return one of the constants:
      SERVER_STATE_STANDBY - standby server
      SERVER_STATE_ACTIVE - active server
      In the EMS Appliance, can return one of the above two constants, augmented with complementary flags:
      SERVER_COMPSTATE_WAIT_FOR_PEER - the server is waiting for its peer to come up
      SERVER_COMPSTATE_SYNCHRONIZING - the server is synchronizing with its peer
      SERVER_COMPSTATE_REPLICATING - the server is replicating with its peer
      SERVER_COMPSTATE_PAUSED - the server is paused
      SERVER_COMPSTATE_STANDALONE - the server is running standalone
      In addition to the two server states repeated below, the following state values are provided as a convenience that can be used instead of checking against individual flags:
      SERVER_STATE_STANDBY - standby server
      SERVER_STATE_ACTIVE - active server
      SERVER_STATE_WAIT_FOR_PEER - server waiting for its peer to come up
      SERVER_STATE_STANDBY_SYNCHRONIZING - standby server synchronizing
      SERVER_STATE_STANDBY_REPLICATING - standby server replicating
      SERVER_STATE_STANDBY_PAUSED - standby server paused
      SERVER_STATE_ACTIVE_SYNCHRONIZING - active server synchronizing
      SERVER_STATE_ACTIVE_REPLICATING - active server replicating
      SERVER_STATE_ACTIVE_PAUSED - active server paused
      SERVER_STATE_ACTIVE_STANDALONE - standalone active server
      Returns:
        the server state.
      Since:
        EMS 8.1.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Since:
        EMS 8.1.0

Copyright © Cloud Software Group, Inc. All rights reserved